org.springframework.batch.item.file

## Class SimpleBinaryBufferedReaderFactory

- java.lang.Object
- - org.springframework.batch.item.file.SimpleBinaryBufferedReaderFactory

- All Implemented Interfaces:
    BufferedReaderFactory

      public class SimpleBinaryBufferedReaderFactory
      extends java.lang.Object
      implements BufferedReaderFactory

  A `BufferedReaderFactory` useful for reading simple binary (or text) files with no line endings, such as those produced by mainframe copy books. The reader splits a stream up across fixed line endings (rather than the usual convention based on plain text). The line endings are discarded, just as with the default plain text implementation.
  Since:
    2.1
  Author:
    Dave Syer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleBinaryBufferedReaderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.BufferedReader` | `create(org.springframework.core.io.Resource resource, java.lang.String encoding)` Create a `BufferedReader` for reading String items from the provided resource.
    `void` | `setLineEnding(java.lang.String lineEnding)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleBinaryBufferedReaderFactory

          public SimpleBinaryBufferedReaderFactory()

  - ### Method Detail

    - #### setLineEnding

          public void setLineEnding(java.lang.String lineEnding)

      Parameters:
        `lineEnding` -

    - #### create

          public java.io.BufferedReader create(org.springframework.core.io.Resource resource,
                                               java.lang.String encoding)
                                        throws java.io.UnsupportedEncodingException,
                                               java.io.IOException

      Description copied from interface: `BufferedReaderFactory`
      Create a `BufferedReader` for reading String items from the provided resource.
      Specified by:
        `create` in interface `BufferedReaderFactory`
      Parameters:
        `resource` - a `Resource` containing the data to be read
        `encoding` - the encoding required for converting binary data to String
      Returns:
        a `BufferedReader`
      Throws:
        `java.io.UnsupportedEncodingException` - if the encoding is not supported by the platform
        `java.io.IOException` - if there is a problem creating the reader